Bug 1538772 - Update OpenJDK to 8u162 ahead of the April 2018 security update
Summary: Update OpenJDK to 8u162 ahead of the April 2018 security update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.4
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Andrew John Hughes
QA Contact: zzambers
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 19:38 UTC by Andrew John Hughes
Modified: 2018-10-30 07:29 UTC (History)
3 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.162-0.b12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 07:27:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3017 None None None 2018-10-30 07:29:13 UTC

Description Andrew John Hughes 2018-01-25 19:38:19 UTC
This is the successor to bug 1307108, bug 1335322, bug 1359857, bug 1391132 and bug 1508017.

With RHEL 7, we aim to provide the "latest and greatest" version of OpenJDK to end users as soon as possible (see bug 922089).

Oracle began maintenance of OpenJDK 8 by making two releases in tandem at quarterly points through the year (January, April, July & October). One was a security update that we shipped immediately via async errata, and backport to OpenJDK 6 & 7 as well. There was also a bug fix update which includes both security fixes and other bug fixes. It is this release which then forms the basis for the security update three months later.

Despite stalling between October 2016 and October 2017, this process now seems to be back on track. In January 2018, 8u161 (which we shipped to customers on all RHEL platforms on the 16th of January) and 8u162. This means that the April 2018 security update, 8u171, will be based on 8u162.

As such, it would be good to get u162 into RHEL ahead of this security update to reduce the potential for problems. 

To actually fulfil our promise of the "latest and greatest", this should go out to users via z-stream in RHEL 7.4, as we have in the past.

Comment 1 Andrew John Hughes 2018-02-22 04:22:59 UTC
Moving to rhel-7.6 as the RHEL 7.5 package is in REL_PREP.

Comment 2 zzambers 2018-03-21 16:48:55 UTC
ok

Comment 6 zzambers 2018-07-10 11:21:46 UTC
surpassed by JDK 8u181 (java-1.8.0-openjdk-1.8.0.181-4.b04.el7)

Comment 8 errata-xmlrpc 2018-10-30 07:27:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3017


Note You need to log in before you can comment on or make changes to this bug.